#
# This file is called by /etc/init.d/vdrdevel
#

# check wich remote config files to load
activeremotes() 
{
    REMOTES=""
    if [ -e "/var/run/lircd.pid" ]; then
        if ps --no-headers --pid `cat /var/run/lircd.pid` | grep -q "lircd" ; then
            REMOTES="LIRC"
        fi
    fi
    if [ "$KEYB_TTY" != "" ]; then
        REMOTES="$REMOTES KBD"
    fi
    if [ -e "$PLUGIN_CFG_DIR/plugin.remote.conf" ]; then
        REMOTES="$REMOTES remote-event"
    fi
}

# merge remote.<name>.conf into one file
getremotes()
{
    echo -ne "\nChecking remotes"
    echo "" > $CFG_DIR/remote.conf
    activeremotes
    for i in $REMOTES; do
        echo -n " $i"
        if [ -e "$CFG_DIR/remote.$i.conf" ]; then
            cat "$CFG_DIR/remote.$i.conf" >> $CFG_DIR/remote.conf
            echo "" >> $CFG_DIR/remote.conf
        fi
    done
}

# rewrite probably changed remote config file
putremotes ()
{
    echo -ne "\nRewriting remote changes"
    activeremotes
    for i in $REMOTES; do
        echo -n " $i"
        if grep -q "$i" $CFG_DIR/remote.conf ; then
            grep "$i" $CFG_DIR/remote.conf > "$CFG_DIR/remote.$i.conf"
        fi
    done
}
